ONVIF::Analytics::Types::AudioEncoderConfigurationOptions(3)

NAME
ONVIF::Analytics::Types::AudioEncoderConfigurationOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType AudioEncoderConfigurationOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Options

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::AudioEncoderConfigurationOptions
   Options =>  { # ONVIF::Analytics::Types::AudioEncoderConfigurationOption
     Encoding => $some_value, # AudioEncoding
     BitrateList =>  { # ONVIF::Analytics::Types::IntList
       Items =>  $some_value, # int
     },
     SampleRateList =>  { # ONVIF::Analytics::Types::IntList
       Items =>  $some_value, # int
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL